> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/analytics/analytics.click.md).

# Analytics.click

### Feature description

Leaves an analytics log when a touch or click occurs. Use it to record important user actions, such as clicking a purchase button. `event` to logs of the type `event_type: 'click'` The parameter is recorded together.

`log_name`If it is not specified, based on the current path `<pathname>::click` a name in the format is automatically used. In addition to the value you passed, the log parameters also automatically include the current page's query string (`search`), entrance path (`referrer`), deployment information (`deployment_id`, `deployment_timestamp`) is automatically included.

The current page URL is `https`If it is not, the log is not sent.

### Type

```ts
Analytics.click(params?: { log_name?: string } & { [key: string]: LogParam }): Promise<void> | undefined;
```

**Params**

```ts
// Keys other than log_name are also recorded as log parameters.
type LogParam = string | number | boolean | null | undefined;
```

**Response**

The current page URL is `https`If it is not, the log is not sent and `undefined`is returned.

### Example code

#### JavaScript

```js
import { Analytics } from "@apps-in-toss/web-framework";

const button = document.querySelector("#buy-button");

button.addEventListener("click", () => {
  Analytics.click({ log_name: "buy_button", text: "Buy" });
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/analytics/analytics.click.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
